Unblock employee
curl --request PATCH \
--url https://pre-public-api.cobee.io/api/v3/companies/{companyId}/employees/{employeeId}/unblock \
--header 'Authorization: Bearer <token>'import requests
url = "https://pre-public-api.cobee.io/api/v3/companies/{companyId}/employees/{employeeId}/unblock"
headers = {"Authorization": "Bearer <token>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
fetch('https://pre-public-api.cobee.io/api/v3/companies/{companyId}/employees/{employeeId}/unblock', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Employee not found"
}{
"message": "Employee with invalid state active"
}{
"message": "Internal server error"
}Employees
Unblock employee
PATCH
/
companies
/
{companyId}
/
employees
/
{employeeId}
/
unblock
Unblock employee
Overview
This endpoint allows you to unblock an employee in the Cobee system. You can call this endpoint multiple times for the same employee. Each new call will overwrite the previous block date with the current timestamp at the moment of the call.Note: Unblocking an employee allows them to use their benefits again.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the company
The unique identifier of the employee
Response
Employee successfully unblocked
⌘I